# pcap_if Struct Reference
[Definitions]

Item in a list of interfaces, used by pcap_findalldevs(). More...

`#include <pcap.h>`

## Data Fields
struct pcap_if * | next
| if not NULL, a pointer to the next element in the list; NULL for the last element of the list
char * | name
| a pointer to a string giving a name for the device to pass to pcap_open_live()
char * | description
| if not NULL, a pointer to a string giving a human-readable description of the device
struct pcap_addr * | addresses
| a pointer to the first element of a list of addresses for the interface
u_int | flags
| PCAP_IF_ interface flags. Currently the only possible flag is PCAP_IF_LOOPBACK, that is set if the interface is a loopback interface.

## Detailed Description

Item in a list of interfaces, used by pcap_findalldevs().

Definition at line 148 of file incs/pcap.h.

## Field Documentation

struct pcap_addr* addresses`[read]`

a pointer to the first element of a list of addresses for the interface

Definition at line 152 of file incs/pcap.h.

char* description

if not NULL, a pointer to a string giving a human-readable description of the device

Definition at line 151 of file incs/pcap.h.

u_int flags

PCAP_IF_ interface flags. Currently the only possible flag is PCAP_IF_LOOPBACK, that is set if the interface is a loopback interface.

Definition at line 153 of file incs/pcap.h.

char* name

a pointer to a string giving a name for the device to pass to pcap_open_live()

Definition at line 150 of file incs/pcap.h.

struct pcap_if* next`[read]`

if not NULL, a pointer to the next element in the list; NULL for the last element of the list

Definition at line 149 of file incs/pcap.h.

The documentation for this struct was generated from the following file:

- incs/pcap.h

documentation. Copyright (c) 2002-2005 Politecnico di Torino. Copyright (c) 2005-2009 CACE Technologies. All rights reserved.